"""
Admin classes for custom_css app
"""

# Alliance Auth Custom CSS
from allianceauth.custom_css.models import CustomCSS
from allianceauth.custom_css.forms import CustomCSSAdminForm

# Alliance Auth Framework
from allianceauth.framework.admin import SingletonModelAdmin

# Django
from django.contrib import admin


@admin.register(CustomCSS)
class CustomCSSAdmin(SingletonModelAdmin):
    """
    Custom CSS Admin
    """

    form = CustomCSSAdminForm

    # Leave this here for when we decide to add syntax highlighting to the CSS editor
    # change_form_template = 'custom_css/admin/change_form.html'
